Extending Qt Creator Manual | ProjectConfigurationModel

Extending Qt Creator Manual 4.5.2

# ProjectConfigurationModel Class

(ProjectExplorer::ProjectConfigurationModel)

Inherited By: | ProjectExplorer::BuildConfigurationModel

- List of all members, including inherited members

## Public Functions

| ProjectConfigurationModel(Target *target, FilterFunction filter, QObject *parent = nullptr)
int | columnCount(const QModelIndex &parent = QModelIndex()) const override
QVariant | data(const QModelIndex &index, int role = Qt::DisplayRole) const override
QModelIndex | indexFor(ProjectConfiguration *pc)
ProjectConfiguration * | projectConfigurationAt(int i)
ProjectConfiguration * | projectConfigurationFor(const QModelIndex &idx)
int | rowCount(const QModelIndex &parent = QModelIndex()) const override

## Member Function Documentation

### ProjectConfigurationModel::ProjectConfigurationModel(Target *target, FilterFunction filter, QObject *parent = nullptr)

Default constructs an instance of ProjectConfigurationModel.

### int ProjectConfigurationModel::columnCount(const QModelIndex &parent = QModelIndex()) const

### QVariant ProjectConfigurationModel::data(const QModelIndex &index, int role = Qt::DisplayRole) const

### QModelIndex ProjectConfigurationModel::indexFor(ProjectConfiguration *pc)

### ProjectConfiguration *ProjectConfigurationModel::projectConfigurationAt(int i)

### ProjectConfiguration *ProjectConfigurationModel::projectConfigurationFor(const QModelIndex &idx)

### int ProjectConfigurationModel::rowCount(const QModelIndex &parent = QModelIndex()) const